Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.connection
Class Channel

    java.lang.Object
      com.sshtools.j2ssh.connection.Channel

Direct Known Subclasses:
  BindingChannel, IOChannel, SocketChannel

public abstract class Channel
extends java.lang.Object

DOCUMENT ME!

Field Summary
`protected ConnectionProtocol` | `connection` DOCUMENT ME!
`protected long` | `localChannelId` DOCUMENT ME!
`protected long` | `localPacketSize` DOCUMENT ME!
`protected ChannelDataWindow` | `localWindow` DOCUMENT ME!
`protected long` | `remoteChannelId` DOCUMENT ME!
`protected long` | `remotePacketSize` DOCUMENT ME!
`protected ChannelDataWindow` | `remoteWindow` DOCUMENT ME!
`protected ChannelState` | `state` DOCUMENT ME!

Constructor Summary
`Channel()` Creates a new Channel object.

Method Summary
`void` | `addEventListener(ChannelEventListener eventListener)` DOCUMENT ME!
`void` | `close()` DOCUMENT ME!
`protected void` | `finalizeClose()` DOCUMENT ME!
`abstract byte[]` | `getChannelConfirmationData()` DOCUMENT ME!
`abstract byte[]` | `getChannelOpenData()` DOCUMENT ME!
`abstract java.lang.String` | `getChannelType()` DOCUMENT ME!
`long` | `getLocalChannelId()` DOCUMENT ME!
`long` | `getLocalPacketSize()` DOCUMENT ME!
`ChannelDataWindow` | `getLocalWindow()` DOCUMENT ME!
`protected abstract int` | `getMaximumPacketSize()` DOCUMENT ME!
`protected abstract int` | `getMaximumWindowSpace()` DOCUMENT ME!
`protected abstract int` | `getMinimumWindowSpace()` DOCUMENT ME!
`java.lang.String` | `getName()` DOCUMENT ME!
`long` | `getRemoteChannelId()` DOCUMENT ME!
`long` | `getRemotePacketSize()` DOCUMENT ME!
`ChannelDataWindow` | `getRemoteWindow()` DOCUMENT ME!
`ChannelState` | `getState()` DOCUMENT ME!
`protected void` | `init(ConnectionProtocol connection, long localChannelId, long senderChannelId, long initialWindowSize, long maximumPacketSize)` DOCUMENT ME!
`protected void` | `init(ConnectionProtocol connection, long localChannelId, long senderChannelId, long initialWindowSize, long maximumPacketSize, ChannelEventListener eventListener)` DOCUMENT ME!
`boolean` | `isClosed()` DOCUMENT ME!
`boolean` | `isLocalEOF()` DOCUMENT ME!
`boolean` | `isOpen()` DOCUMENT ME!
`boolean` | `isRemoteEOF()` DOCUMENT ME!
`protected abstract void` | `onChannelClose()` DOCUMENT ME!
`protected abstract void` | `onChannelData(SshMsgChannelData msg)` DOCUMENT ME!
`protected abstract void` | `onChannelEOF()` DOCUMENT ME!
`protected abstract void` | `onChannelExtData(SshMsgChannelExtendedData msg)` DOCUMENT ME!
`protected abstract void` | `onChannelOpen()` DOCUMENT ME!
`protected abstract void` | `onChannelRequest(java.lang.String requestType, boolean wantReply, byte[] requestData)` DOCUMENT ME!
`protected void` | `open()` DOCUMENT ME!
`protected void` | `processChannelData(SshMsgChannelData msg)` DOCUMENT ME!
`protected void` | `processChannelData(SshMsgChannelExtendedData msg)` DOCUMENT ME!
`protected void` | `remoteClose()` DOCUMENT ME!
`protected void` | `sendChannelData(byte[] data)` DOCUMENT ME!
`protected void` | `sendChannelExtData(int type, byte[] data)` DOCUMENT ME!
`void` | `setLocalEOF()` DOCUMENT ME!
`void` | `setName(java.lang.String name)` DOCUMENT ME!
`protected void` | `setRemoteEOF()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### localWindow

    protected ChannelDataWindow localWindow

  DOCUMENT ME!

### remoteWindow

    protected ChannelDataWindow remoteWindow

  DOCUMENT ME!

### connection

    protected ConnectionProtocol connection

  DOCUMENT ME!

### localChannelId

    protected long localChannelId

  DOCUMENT ME!

### localPacketSize

    protected long localPacketSize

  DOCUMENT ME!

### remoteChannelId

    protected long remoteChannelId

  DOCUMENT ME!

### remotePacketSize

    protected long remotePacketSize

  DOCUMENT ME!

### state

    protected ChannelState state

  DOCUMENT ME!

Constructor Detail

### Channel

    public Channel()

  Creates a new Channel object.

Method Detail

### getChannelOpenData

    public abstract byte[] getChannelOpenData()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getChannelConfirmationData

    public abstract byte[] getChannelConfirmationData()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getChannelType

    public abstract java.lang.String getChannelType()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMinimumWindowSpace

    protected abstract int getMinimumWindowSpace()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMaximumWindowSpace

    protected abstract int getMaximumWindowSpace()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMaximumPacketSize

    protected abstract int getMaximumPacketSize()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### onChannelData

    protected abstract void onChannelData(SshMsgChannelData msg)
                                   throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `msg` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### processChannelData

    protected void processChannelData(SshMsgChannelData msg)
                               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `msg` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### isClosed

    public boolean isClosed()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isOpen

    public boolean isOpen()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### sendChannelData

    protected void sendChannelData(byte[] data)
                            throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `data` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### sendChannelExtData

    protected void sendChannelExtData(int type,
                                      byte[] data)
                               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `type` - DOCUMENT ME!
    `data` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelExtData

    protected abstract void onChannelExtData(SshMsgChannelExtendedData msg)
                                      throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `msg` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### processChannelData

    protected void processChannelData(SshMsgChannelExtendedData msg)
                               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `msg` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getLocalChannelId

    public long getLocalChannelId()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getLocalPacketSize

    public long getLocalPacketSize()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getLocalWindow

    public ChannelDataWindow getLocalWindow()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRemoteChannelId

    public long getRemoteChannelId()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRemotePacketSize

    public long getRemotePacketSize()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRemoteWindow

    public ChannelDataWindow getRemoteWindow()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getState

    public ChannelState getState()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### close

    public void close()
               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### remoteClose

    protected void remoteClose()
                        throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### finalizeClose

    protected void finalizeClose()
                          throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setLocalEOF

    public void setLocalEOF()
                     throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### isLocalEOF

    public boolean isLocalEOF()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isRemoteEOF

    public boolean isRemoteEOF()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setRemoteEOF

    protected void setRemoteEOF()
                         throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### addEventListener

    public void addEventListener(ChannelEventListener eventListener)

  DOCUMENT ME!

  Parameters:
    `eventListener` - DOCUMENT ME!

### init

    protected void init(ConnectionProtocol connection,
                        long localChannelId,
                        long senderChannelId,
                        long initialWindowSize,
                        long maximumPacketSize)
                 throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `connection` - DOCUMENT ME!
    `localChannelId` - DOCUMENT ME!
    `senderChannelId` - DOCUMENT ME!
    `initialWindowSize` - DOCUMENT ME!
    `maximumPacketSize` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### open

    protected void open()
                 throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### init

    protected void init(ConnectionProtocol connection,
                        long localChannelId,
                        long senderChannelId,
                        long initialWindowSize,
                        long maximumPacketSize,
                        ChannelEventListener eventListener)
                 throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `connection` - DOCUMENT ME!
    `localChannelId` - DOCUMENT ME!
    `senderChannelId` - DOCUMENT ME!
    `initialWindowSize` - DOCUMENT ME!
    `maximumPacketSize` - DOCUMENT ME!
    `eventListener` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelClose

    protected abstract void onChannelClose()
                                    throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelEOF

    protected abstract void onChannelEOF()
                                  throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelOpen

    protected abstract void onChannelOpen()
                                   throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelRequest

    protected abstract void onChannelRequest(java.lang.String requestType,
                                             boolean wantReply,
                                             byte[] requestData)
                                      throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `requestType` - DOCUMENT ME!
    `wantReply` - DOCUMENT ME!
    `requestData` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setName

    public void setName(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD